GET /pool/{uuid}/runtime/server/detail/

GET /pool/{uuid}/runtime/server/detail/

/pool/{uuid}/runtime/server/detail/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/runtime/server/detail
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServerRuntimeDetail of type(s) application/json
{
    "app_info": [
        {
            "app_hdr_name": "string",
            "app_hdr_value": "string"
        }
    ],
    "capacity": 0,
    "capest_data": [
        {
            "conns": 0,
            "ttfb": 0
        }
    ],
    "capest_rand_max_conn_hist": [
        0
    ],
    "capest_scale_hist": [
        "number"
    ],
    "ip_addr": {
        "addr": "string",
        "type": "string"
    },
    "l7cp_stats": {
        "bound_size": 0,
        "busy_size": 0,
        "free_size": 0,
        "num_adds": 0,
        "num_dels": 0,
        "num_error_evicts": 0,
        "num_http2_invalid_frame_evicts": 0,
        "num_requested": 0,
        "num_reused": 0,
        "num_strategy_converted": 0
    },
    "oper_status": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": [
            "string"
        ],
        "reason_code": 0,
        "reason_code_string": "string",
        "state": "string"
    },
    "other_ips": [
        {
            "addr": "string",
            "type": "string"
        }
    ],
    "port": 0,
    "proc_id": "string",
    "se_uuid": "string",
    "server_l4stats": {
        "available_capacity": 0,
        "capacity": 0,
        "complete_conns": 0,
        "conn_dropped_after_est": 0,
        "conn_dropped_before_est": 0,
        "conn_dropped_before_syn_sent": 0,
        "conn_duration": 0,
        "connection_estb_time_be": 0,
        "connection_setup_time": 0,
        "connections_dropped": 0,
        "dup_ack_retransmits": 0,
        "errored_connections": 0,
        "est_capacity": 0,
        "finished_conns": 0,
        "health_check_failures": 0,
        "health_status": 0,
        "lb_fail_count": 0,
        "lossy_connections": 0,
        "lossy_req": 0,
        "new_established_conns": 0,
        "node_obj_id": "string",
        "num_conn_est_time_exceeded_flows_be": 0,
        "num_state_changes": 0,
        "open_conns": 0,
        "out_of_orders": 0,
        "rtt": 0,
        "rtt_valid_connections": 0,
        "rx_bytes": 0,
        "rx_bytes_absolute": 0,
        "rx_goodput": 0,
        "rx_pkts": 0,
        "rx_pkts_absolute": 0,
        "rx_tcp_resets": 0,
        "rx_zero_window_size_events": 0,
        "sack_retransmits": 0,
        "sctp_inits_sent": 0,
        "server_count": 0,
        "server_uptime": 0,
        "syns_sent": 0,
        "timeout_retransmits": 0,
        "tx_bytes": 0,
        "tx_bytes_absolute": 0,
        "tx_goodput": 0,
        "tx_pkts": 0,
        "tx_pkts_absolute": 0,
        "tx_zero_window_size_events": 0
    },
    "server_l7stats": {
        "application_response_time": 0,
        "complete_responses": 0,
        "concurrent_sessions": 0,
        "error_responses": 0,
        "finished_sessions": 0,
        "get_reqs": 0,
        "get_resp_latency": 0,
        "get_resp_latency_bucket1": 0,
        "get_resp_latency_bucket2": 0,
        "lb_fail_count": 0,
        "node_obj_id": "string",
        "other_reqs": 0,
        "other_resp_latency": 0,
        "other_resp_latency_bucket1": 0,
        "other_resp_latency_bucket2": 0,
        "post_reqs": 0,
        "post_resp_latency": 0,
        "post_resp_latency_bucket1": 0,
        "post_resp_latency_bucket2": 0,
        "reqs_finished_sessions": 0,
        "resp_1xx": 0,
        "resp_2xx": 0,
        "resp_3xx": 0,
        "resp_4xx": 0,
        "resp_4xx_errors": 0,
        "resp_5xx": 0,
        "resp_5xx_errors": 0,
        "server_count": 0,
        "server_uptime": 0,
        "timeouts": 0,
        "total_requests": 0,
        "total_responses": 0
    },
    "vs_uuid": "string"
}
array of object
app_info
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
capacity
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
capest_data
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of integer
capest_rand_max_conn_hist
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of number
capest_scale_hist
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
ip_addr
Required  

ip_addr

object
l7cp_stats
Optional

l7cp_stats

object
oper_status
Optional

oper_status

array of object
other_ips
Optional

Secondary/public ip addresses. Field introduced in 17.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
port
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
proc_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
server_l4stats
Optional

server_l4stats

object
server_l7stats
Optional

server_l7stats

string
vs_uuid
Optional

Field introduced in 17.1.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/runtime/server/detail